package com.dji.sdk.cloudapi.psdk;

import com.dji.sdk.common.BaseModel;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * PSDK input box text set request
 * 
 * @author sean
 * @version 1.7
 * @date 2023/10/16
 */
public class PsdkInputBoxTextSetRequest extends BaseModel {

    /**
     * PSDK payload device index (0-3)
     */
    @NotNull
    @Min(0)
    private Integer psdkIndex;

    /**
     * Text content (max 128 bytes)
     */
    @NotNull
    @Length(max = 128)
    private String value;

    public PsdkInputBoxTextSetRequest() {
    }

    @Override
    public String toString() {
        return "PsdkInputBoxTextSetRequest{" +
                "psdkIndex=" + psdkIndex +
                ", value='" + value + '\'' +
                '}';
    }

    public Integer getPsdkIndex() {
        return psdkIndex;
    }

    public PsdkInputBoxTextSetRequest setPsdkIndex(Integer psdkIndex) {
        this.psdkIndex = psdkIndex;
        return this;
    }

    public String getValue() {
        return value;
    }

    public PsdkInputBoxTextSetRequest setValue(String value) {
        this.value = value;
        return this;
    }
}
